{lib, ...}: let
  mkVersion = version:
    lib.mkOption {
      type = lib.types.str;
      default = version;
    };
in {
  options = {
    versions = {
      rosepine-cursor = {
        version = mkVersion "1.0.1";
        hash = mkVersion "sha256-t5xwAPGhuQUfGThedLsmtZEEp1Ljjo3Udhd5Ql3O67c=";
      };
      iceshrimp = {
        version = mkVersion "2025.1-beta5.patch2.security1";
        hash = mkVersion "sha256-Uwstie81M3kM9CjukIG+wXpxp91uTuXFMB/fZlFWsMk=";
      };
    };
  };
}
